Bug 873605 - corrupt NFS installation source doesn't present clear warning text
corrupt NFS installation source doesn't present clear warning text
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
: Reopened
Depends On: 873600
Blocks: F18-accepted/F18FinalFreezeExcept
  Show dependency treegraph
 
Reported: 2012-11-06 04:52 EST by Kamil Páral
Modified: 2014-02-05 17:52 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 17:52:08 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
anaconda-main.png (57.78 KB, image/png)
2012-11-06 04:52 EST, Kamil Páral
no flags Details
anaconda-source.png (26.75 KB, image/png)
2012-11-06 04:52 EST, Kamil Páral
no flags Details
anaconda.log (7.40 KB, text/plain)
2012-11-06 04:53 EST, Kamil Páral
no flags Details
packaging.log (4.43 KB, text/plain)
2012-11-06 04:53 EST, Kamil Páral
no flags Details
program.log (33.70 KB, text/plain)
2012-11-06 04:53 EST, Kamil Páral
no flags Details
storage.log (99.78 KB, text/plain)
2012-11-06 04:53 EST, Kamil Páral
no flags Details
syslog (60.66 KB, text/plain)
2012-11-06 04:53 EST, Kamil Páral
no flags Details
18.29 interactive main.png (51.36 KB, image/png)
2012-11-23 06:58 EST, Kamil Páral
no flags Details
18.29 interactive detail.png (29.87 KB, image/png)
2012-11-23 06:58 EST, Kamil Páral
no flags Details
18.29 inst.repo main.png (54.72 KB, image/png)
2012-11-23 06:58 EST, Kamil Páral
no flags Details
18.29 inst.repo detail.png (27.02 KB, image/png)
2012-11-23 06:58 EST, Kamil Páral
no flags Details
18.37.6 inst.repo main (53.95 KB, image/png)
2012-12-21 08:53 EST, Kamil Páral
no flags Details
18.37.6 inst.repo detail (35.69 KB, image/png)
2012-12-21 08:54 EST, Kamil Páral
no flags Details

  None (edit)
Description Kamil Páral 2012-11-06 04:52:17 EST
Description of problem:
I set up an NFS server as installation source. Anaconda displays a warning icon in the main hub screen, but no error message. After I open the installation source dialog, there's no error dialog either.

There are some errors in the packaging.log. I'm quite sure something is wrong on my NFS server, maybe file permissions. But Anaconda should tell me something, a not just display an orange icon.

Version-Release number of selected component (if applicable):
anaconda 18.24

How reproducible:
not sure
Comment 1 Kamil Páral 2012-11-06 04:52:42 EST
Created attachment 639230 [details]
anaconda-main.png
Comment 2 Kamil Páral 2012-11-06 04:52:50 EST
Created attachment 639231 [details]
anaconda-source.png
Comment 3 Kamil Páral 2012-11-06 04:53:14 EST
Created attachment 639232 [details]
anaconda.log
Comment 4 Kamil Páral 2012-11-06 04:53:17 EST
Created attachment 639233 [details]
packaging.log
Comment 5 Kamil Páral 2012-11-06 04:53:20 EST
Created attachment 639234 [details]
program.log
Comment 6 Kamil Páral 2012-11-06 04:53:24 EST
Created attachment 639235 [details]
storage.log
Comment 7 Kamil Páral 2012-11-06 04:53:28 EST
Created attachment 639236 [details]
syslog
Comment 8 Kamil Páral 2012-11-06 06:55:16 EST
I can confirm my repository/ files were corrupt (files missing).

This could be F18 NTH (or might be even blocker), proposing.
Comment 9 Fedora Update System 2012-11-07 22:34:25 EST
anaconda-18.27-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/anaconda-18.27-1.fc18
Comment 10 Fedora Update System 2012-11-08 22:21:45 EST
Package anaconda-18.27-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing anaconda-18.27-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-17823/anaconda-18.27-1.fc18
then log in and leave karma (feedback).
Comment 11 Kamil Páral 2012-11-09 04:47:59 EST
With anaconda 18.27 I'm getting the same behavior as in bug 873600 - with invalid repository metadata (missing files), no warning icon is displayed, the item is grayed out, but there is an error line inside the spoke. I'm not really sure this is fixed. Setting dependson:873600 and will verify once that one is fixed.
Comment 12 Fedora Update System 2012-11-10 14:36:44 EST
Package anaconda-18.28-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing anaconda-18.28-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-17823/anaconda-18.28-1.fc18
then log in and leave karma (feedback).
Comment 13 Adam Williamson 2012-11-23 01:26:20 EST
Kamil, can you re-check this? With the regressions in RC1, perhaps TC9 would be the best indicator of whether it's fixed. If it's good in TC9, close the bug, 18.28 went stable.
Comment 14 Kamil Páral 2012-11-23 06:57:16 EST
I checked with anaconda 28.19 (TC9). The situation is still very sub-optimal. It differs whether you set up NFS interactively or with inst.repo. Attaching screenshots.

Reproducer:
1. Extract DVD.iso
2. go into repodata/ and delete all files with long filenames (checksum in the filename)
3. share it over NFS
4. provide it inside anaconda, either interactively or with nfs.repo

(I found out because file-roller truncates long files names and therefore I ended up with "missing" files in repodata/).

I think bug 873600 needs to be solved first.
Comment 15 Kamil Páral 2012-11-23 06:58:09 EST
Created attachment 650348 [details]
18.29 interactive main.png
Comment 16 Kamil Páral 2012-11-23 06:58:13 EST
Created attachment 650349 [details]
18.29 interactive detail.png
Comment 17 Kamil Páral 2012-11-23 06:58:16 EST
Created attachment 650350 [details]
18.29 inst.repo main.png
Comment 18 Kamil Páral 2012-11-23 06:58:20 EST
Created attachment 650351 [details]
18.29 inst.repo detail.png
Comment 19 Adam Williamson 2012-11-24 03:16:18 EST
that sounds rather like a completely different bug. i mean, a case where the repodata are just wrong is kinda different from where we came in, isn't it?
Comment 20 Kamil Páral 2012-11-26 05:30:53 EST
(In reply to comment #19)
No, see description and comment 8. This is the same problem.
Comment 21 Chris Lumens 2012-11-26 10:55:37 EST
If it's the same bug, I'm going to close it as a dup of the other.  I don't think it is, and the original issue's been fixed, but whatever.

*** This bug has been marked as a duplicate of bug 873600 ***
Comment 22 Kamil Páral 2012-11-26 13:25:40 EST
There has been some misunderstanding here. I'll try to explain again. This bug report documents the fact that if I have an invalid remote repository (corrupted metadata files), I receive very little information from anaconda - in some cases no errors are reported at all.

This bug is worsened by bug 873600, so I believe we should fix bug 873600 first, and only then deal with this one.

I hope I was able to describe it clearly enough this time.
Comment 23 Adam Williamson 2012-12-21 00:13:59 EST
What's the current status of this?
Comment 24 Kamil Páral 2012-12-21 08:53:20 EST
The interactive NFS mode now looks great, problem solved. Installation Source is marked as broken and "bad url" message is displayed in its detail screen.

With inst.repo approach, the Installation Source looks like valid, but you can't enter Software Selection. That still a bit confusing and might be fixed, if anaconda developers deem so.

18.37.6
Comment 25 Kamil Páral 2012-12-21 08:53:52 EST
Created attachment 667245 [details]
18.37.6 inst.repo main
Comment 26 Kamil Páral 2012-12-21 08:54:13 EST
Created attachment 667246 [details]
18.37.6 inst.repo detail
Comment 27 Adam Williamson 2013-01-09 01:38:53 EST
What's RC3 status? Does this still need to be open, or can we close it and open a new bug for any outstanding issues? Thanks!
Comment 28 Kamil Páral 2013-01-09 07:54:43 EST
No change in anaconda 18.37.11, same behavior as in comment 24 - 26.
Comment 29 Adam Williamson 2013-01-09 20:59:38 EST
Then can you answer the second/third questions?
Comment 30 Kamil Páral 2013-01-10 07:47:55 EST
There are no outstanding changes, the problem in question is the same from the beginning - corrupt repository metadata cause weird behavior in anaconda. The symptoms changed slightly in the course of time, but the issue is still the same.

We can close this bug report and file a new one, but the only benefit will be a clearer description (since Buzilla doesn't allow to edit the existing description).
Comment 31 Adam Williamson 2013-01-11 17:51:55 EST
Ah, sorry about that. The report got somewhat confused.

You can edit the description, though. There's a (edit) link right next to it, up at the top of the page. Click that.
Comment 32 Fedora End Of Life 2013-12-21 10:11:11 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 33 Fedora End Of Life 2014-02-05 17:52:08 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.